Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1933085 - grub2-common-1:2.04-36.fc34 has posttrans error that breaks all livemedia composes
Summary: grub2-common-1:2.04-36.fc34 has posttrans error that breaks all livemedia com...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-25 16:12 UTC by Kevin Fenzi
Modified: 2021-05-01 10:21 UTC (History)
5 users (show)

Fixed In Version: grub2-2.04-37.fc34 grub2-2.06~rc1-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 17:39:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2021-02-25 16:12:42 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=62666175


```
04:58:28,603 INF packaging: Configuring (running scriptlet for): grub2-common-1:2.04-36.fc34.noarch 1614024666 69e18
a50d4893899da46015b8a4dcd6e2e9f74e0d8677276fbecc153cd2a3d9e
04:58:28,635 INF dnf.rpm: grep: /boot/efi/EFI/fedora/grub.cfg: No such file or directory
cp: cannot stat '/boot/efi/EFI/fedora/grubenv': No such file or directory
warning: %posttrans(grub2-common-1:2.04-36.fc34.noarch) scriptlet failed, exit status 1

04:58:28,636 ERR dnf.rpm: Error in POSTTRANS scriptlet in rpm package grub2-common
04:59:27,337 INF dnf.rpm: dracut: No '/dev/log' or 'logger' included for syslog logging
dracut: No '/dev/log' or 'logger' included for syslog logging

04:59:27,631 INF dnf.rpm: Running in chroot, ignoring command 'try-restart'

04:59:32,990 DDEBUG dnf: RPM transaction over.
04:59:34,020 DDEBUG dnf: timer: verify transaction: 1003 ms
04:59:34,022 DDEBUG dnf: timer: transaction: 201578 ms


```

Comment 1 Mohan Boddu 2021-02-25 16:33:10 UTC
Untagged grub2-2.04-36.fc34 and started another compose - https://kojipkgs.fedoraproject.org/compose/branched/Fedora-34-20210225.n.1/

Comment 2 Fedora Update System 2021-02-26 13:21:07 UTC
FEDORA-2021-dd26804e96 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd26804e96

Comment 3 Fedora Update System 2021-02-26 16:34:02 UTC
FEDORA-2021-dd26804e96 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-dd26804e96`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd26804e96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-03-19 17:39:12 UTC
FEDORA-2021-dd26804e96 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-03-19 19:56:22 UTC
FEDORA-2021-dd26804e96 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-03-24 08:54:37 UTC
FEDORA-2021-6e172a47e2 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Ed van Gasteren 2021-05-01 10:21:39 UTC
Tried to install Fedora 34 yesterday. It ran into "Error in POSTTRANS scriplet in rpm package grub2-common". Couldn't do much more then abort the installation (the only option given by the install GUI).

To install I take vmlinuz and initrd.img from a good mirror (this time from https://ams.edge.kernel.org/fedora-buffet/fedora/linux/releases/34/Everything/x86_64/os/isolinux/) and boot that kernel.
I keep the existing /boot and /boot/efi and serveral other file systems (among which a working Fedora 33) and install Fedora 34 on new LVM partions (/ and /var).
So the installation has to deal with existing stuff on /boot and /boot/efi.
 
From https://ams.edge.kernel.org/fedora-buffet/fedora/linux/updates/34/Everything/x86_64/Packages/g/ I picked up the most recent available version of the package: grub2-common-2.06_rc1-4.fc34.noarch.rpm (note the "rc1" in there).

I reviewed the scriplet. It seems to have a problem with my grubenv and grub.cfg files setup.
In /boot/grub2 I had symbolic links for grubenv and grub.cfg to ../efi/EFI/fedora/ where the real files where. 
Don't recall when and how I ended up with those links and this construction. I am not sure it comes from a earlier Fedora install. I don't think its my hack.
Anyway, the scriplet couldn't unify this.

Based on my interpretation of the scriplet's intent, I did a manual unify.
Afterwards I could successfully install.


Note You need to log in before you can comment on or make changes to this bug.